> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decentri.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a token

> Create a new token with specified parameters.



## OpenAPI

````yaml POST /token
openapi: 3.0.0
info:
  title: Decentri API
  description: The infrastructure for tokenizing real world assets
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /token:
    post:
      tags:
        - Token
      summary: Create token
      description: Create a new token with specified parameters.
      operationId: create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTokenDTO'
      responses:
        '201':
          description: The token has been successfully created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenDTO'
        '403':
          description: Forbidden.
        '404':
          description: Not Found.
        '500':
          description: Internal Server Error.
components:
  schemas:
    CreateTokenDTO:
      type: object
      properties:
        name:
          type: string
          description: The name of the token
          example: Decentri Token
        decimals:
          type: number
          description: The number of decimals places the token should have
          example: 18
          minimum: 0
          default: 18
          maximum: 18
        symbol:
          type: string
          description: The symbol of the token
          example: DEC
        totalSupply:
          type: number
          description: The total supply of the token
          example: 1000000
      required:
        - name
        - decimals
        - symbol
        - totalSupply
    TokenDTO:
      type: object
      properties:
        name:
          type: string
          description: The name of the token
          example: ACME Token
        symbol:
          type: string
          description: The symbol of the token
          example: ACME
        address:
          type: string
          description: The address of the token
          example: '0xc0ffee254729296a45a3885639AC7E10F9d54979'
        decimals:
          type: number
          description: The number of decimals places the token should have
          example: 18
        isPaused:
          type: boolean
          description: Whether the token is paused
          example: false
        totalSupply:
          type: number
          description: The total supply of the token
        createdAt:
          format: date-time
          type: string
          description: The date the token was created
      required:
        - name
        - symbol
        - address
        - decimals
        - isPaused
        - totalSupply
        - createdAt

````